std::atomic::notify_one(3)

NAME
std::atomic::notify_one - std::atomic::notify_one

Synopsis
   void notify_one() noexcept; (since C++20)
   void notify_one() volatile noexcept;
   Performs atomic notifying operations.
   If there is a thread blocked in atomic waiting operation (i.e. wait()) on *this,
   then unblocks at least one such thread; otherwise does nothing.

Return value
   (none)

Notes
   This form of change-detection is often more efficient than simple polling or pure
   spinlocks.

Example
    This section is incomplete
    Reason: no example

See also
   wait blocks the thread until notified and the atomic value changes
   (C++20) (public member function)
   atomic_wait
   atomic_wait_explicit blocks the thread until notified and the atomic value changes
   (C++20) (function template)
   (C++20)
   atomic_notify_one notifies a thread blocked in atomic_wait
   (C++20) (function template)